#!/bin/bash
source /etc/profile
#
#从nacos里踢除服务
curl -X POST 'http://localhost:8033/actuator/shutdown'
sleep 5
ps -ef | grep [s]oa-sequence-data-v0.0.1.jar | grep -v "soa-sequence-data.sh" |grep -v "grep" | awk '{print $2}'|xargs kill -9
sleep 5

cd /data/TSP/
# 检查jar包是否存在
if [ -f soa-sequence-data-v0.0.1.jar ];then
        mv soa-sequence-data-v0.0.1.jar ./backups/soa-sequence-data-v0.0.1.jar-$(date +%F_%T)
fi

# jar包重命名
mv /data/TSP/soa-sequence-data-v0.0.1.jar.1 /data/TSP/soa-sequence-data-v0.0.1.jar
sleep 5
# 运行jar包
nohup java -Xms4g -Xmx4g -Xmn2g -XX:MetaspaceSize=128m -XX:MaxMetaspaceSize=256m -XX:MaxDirectMemorySize=512m -XX:+PrintGCDetails -XX:+PrintGCDateStamps -Xloggc:/data/TSP_LOG/gclog/soa-sequence-data.log -javaagent:/opt/skywalking_agent/skywalking-agent.jar  -Dskywalking.agent.service_name=soa-sequence-data-1 -Dskywalking.collector.backend_service=10.20.80.124:11800,10.20.20.183:11800,10.20.50.2:11800 -javaagent:/opt/prometheus-jvm/jmx_prometheus_javaagent-0.14.0.jar=27029:/opt/prometheus-jvm/prometheus-jmx-config.yaml -jar -Dspring.profiles.active=prod -Dfile.encoding=UTF-8 -Duser.timezone=GMT+08 /data/TSP/soa-sequence-data-v0.0.1.jar > /data/logs/soa-sequence-data.log 2>&1 &
cd
sleep 5
pid=`ps -ef | grep [s]oa-sequence-data-v0.0.1.jar | grep -v "soa-sequence-data.sh" |grep -v "grep" | awk '{print $2}'`
if [ "$pid" == "" ]; then
        echo '启动不正常，再次启动'>/tmp/1-sequence-data.txt
        nohup java -Xms4g -Xmx4g -Xmn2g -XX:MetaspaceSize=128m -XX:MaxMetaspaceSize=256m -XX:MaxDirectMemorySize=512m -XX:+PrintGCDetails -XX:+PrintGCDateStamps -Xloggc:/data/TSP_LOG/gclog/soa-sequence-data.log  -javaagent:/opt/skywalking_agent/skywalking-agent.jar  -Dskywalking.agent.service_name=soa-sequence-data-1 -Dskywalking.collector.backend_service=10.20.80.124:11800,10.20.20.183:11800,10.20.50.2:11800 -javaagent:/opt/prometheus-jvm/jmx_prometheus_javaagent-0.14.0.jar=27029:/opt/prometheus-jvm/prometheus-jmx-config.yaml -jar -Dspring.profiles.active=prod -Dfile.encoding=UTF-8 -Duser.timezone=GMT+08 /data/TSP/soa-sequence-data-v0.0.1.jar > /data/logs/soa-sequence-data.log 2>&1 &
else
        echo '正常'>/tmp/2-sequence-data.txt
fi
cd

exit 0
